﻿#language: ru

Функционал: 10_milk_scenario. Заполнение справочника Виды номенклатуры, простой и с характеристиками

Сценарий: 10_milk_scenario. Создание вида номенклатуры Потери
	Дано Я подключаюсь под "Администратор"
	И Я начинаю создавать Вид Номенклатуры "Потери"
	И я нажимаю кнопку выбора у поля "Ед. хранения"
	И Я выбираю кг в первый раз
	И я перехожу к закладке "Производство"
	И я нажимаю кнопку выбора у поля "Тип воспроизводства"
	И я нажимаю кнопку выбора у поля "Сырьевая статья затрат"
	Тогда открылось окно 'Сырьевые статьи затрат'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Усушка'       |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Вид номенклатуры (создание) *'
	И я перехожу к закладке "Шаблоны"
	И Я заканчиваю создавать Вид Номенклатуры

Сценарий: 10_milk_scenario. Создание вида номенклатуры Сыр с общими для вида характеристиками
	И Я начинаю создавать Вид Номенклатуры "Сыр"
	И я устанавливаю флаг 'Характеристики:'
	И я устанавливаю флаг 'Серии:'
	И я нажимаю кнопку выбора у поля "Ед. хранения"
	Тогда открылось окно 'Выберите единицу измерения'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Вид номенклатуры (создание) *'
	И я устанавливаю флаг 'Упаковки'
	И я меняю значение переключателя 'ИспользованиеУпаковокИндивидуальныйНабор' на 'Индивидуальный набор'
	И я перехожу к закладке "Производство"
	И я устанавливаю флаг 'Участвует в балансе жира и белка'
	И я нажимаю кнопку выбора у поля "Тип воспроизводства"
	И я нажимаю кнопку выбора у поля "Сырьевая статья затрат"
	Тогда открылось окно 'Сырьевые статьи затрат'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                          |
		| 'Полуфабрикаты производимые в процессе' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Вид номенклатуры (создание) *'
	И я нажимаю на кнопку 'Записать'
	И я перехожу к закладке "Шаблоны"
	И я нажимаю на кнопку 'Изменить...'
	Тогда открылось окно 'Редактирование формулы'
	И в поле 'Формула' я ввожу текст 'Строка(Формат([ДатаВыпуска], "ДФ=dd.MM.yyyy" + "/" + [Номер]))   '
	И я нажимаю на кнопку 'Сохранить и закрыть'
	И я нажимаю на кнопку 'Записать'
	И я перехожу к закладке "Основное"
	И у поля "Список (0)" я нажимаю гиперссылку 'Список (0)'
	Тогда открылось окно 'Характеристики номенклатуры (Сыр)'
	И Я создаю характеристику "Варка"
	И Я создаю характеристику "На созревании"
	И Я создаю характеристику "Созревший"
	И Я создаю характеристику "Недопресс"
	И Я создаю характеристику "Брак"
	И Я закрываю окно 'Характеристики номенклатуры (Сыр)'
	Тогда открылось окно 'Сыр (Вид номенклатуры)'
	И Я заканчиваю создавать Вид Номенклатуры	

Сценарий: 10_milk_scenario. Создание вида номенклатуры Смеси
	И Я начинаю создавать Вид Номенклатуры "Смеси"
	И я устанавливаю флаг 'Серии:'
	И я нажимаю кнопку выбора у поля "Ед. хранения"
	Тогда открылось окно 'Выберите единицу измерения'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Вид номенклатуры (создание) *'
	И я перехожу к закладке "Производство"
	И из выпадающего списка "Сырьевая статья затрат" я выбираю точное значение 'Полуфабрикаты производимые в процессе'
	И я устанавливаю флаг 'Участвует в балансе жира и белка'
	И Я заканчиваю создавать Вид Номенклатуры	

Сценарий: 10_milk_scenario. Создание вида номенклатуры Молочное сырье
	И Я начинаю создавать Вид Номенклатуры "Молочное сырье"
	И я устанавливаю флаг 'Серии:'
	И я нажимаю кнопку выбора у поля "Ед. хранения"
	Тогда открылось окно 'Выберите единицу измерения'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Вид номенклатуры (создание) *'
	И я перехожу к закладке "Производство"
	И я устанавливаю флаг 'Участвует в балансе жира и белка'
	И из выпадающего списка "Тип" я выбираю точное значение 'Сырье и материалы'
	И из выпадающего списка "Тип воспроизводства" я выбираю точное значение 'Покупка'
	И Я заканчиваю создавать Вид Номенклатуры	

Сценарий: 10_milk_scenario. Создание вида номенклатуры Упаковка для сыра
	И Я начинаю создавать Вид Номенклатуры "Упаковка для сыра"
	И я нажимаю кнопку выбора у поля "Ед. хранения"
	Тогда открылось окно 'Выберите единицу измерения'
	И я нажимаю на кнопку 'Подобрать из классификатора'
	Тогда открылось окно 'Классификатор единиц измерения'
	И в таблице "ДеревоКлассификатора" я перехожу к строке:
		| 'Выбран' | 'Код числовой' | 'Наименование' | 'Национальное' |
		| 'Нет'    | '778'          | 'Упаковка'     | 'упак'         |
	И в таблице "ДеревоКлассификатора" я устанавливаю флаг 'Выбран'
	И в таблице "ДеревоКлассификатора" я завершаю редактирование строки
	И я нажимаю на кнопку 'ОК'
	И я нажимаю на кнопку 'Подобрать из классификатора'
	Тогда открылось окно 'Классификатор единиц измерения'
	И в таблице "ДеревоКлассификатора" я перехожу к строке:
		| 'Выбран' | 'Код числовой' | 'Международное' | 'Наименование' | 'Национальное' |
		| 'Нет'    | '796'          | 'pc\n1'         | 'Штука'        | 'шт'           |
	И в таблице "ДеревоКлассификатора" я устанавливаю флаг 'Выбран'
	И в таблице "ДеревоКлассификатора" я завершаю редактирование строки
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Выберите единицу измерения'
	И в таблице "Список" я перехожу к строке:
		| 'Международное сокращение' | 'Наименование' |
		| 'PCE'                      | 'шт'           |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Вид номенклатуры (создание) *'
	И я перехожу к закладке "Производство"
	И из выпадающего списка "Тип" я выбираю точное значение 'Пакет'
	И из выпадающего списка "Тип воспроизводства" я выбираю точное значение 'Покупка'
	И я нажимаю кнопку выбора у поля "Сырьевая статья затрат"
	Тогда открылось окно 'Сырьевые статьи затрат'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Упаковка'     |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Вид номенклатуры (создание) *'
	И я перехожу к закладке "Шаблоны"
	И Я заканчиваю создавать Вид Номенклатуры	

Сценарий: 10_milk_scenario. Создание вида номенклатуры Короба
	И Я начинаю создавать Вид Номенклатуры "Короба"
	И я нажимаю кнопку выбора у поля "Ед. хранения"
	Тогда открылось окно 'Выберите единицу измерения'
	И в таблице "Список" я перехожу к строке:
		| 'Международное сокращение' | 'Наименование' |
		| 'PCE'                      | 'шт'           |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Вид номенклатуры (создание) *'
	И я перехожу к закладке "Производство"
	И из выпадающего списка "Тип" я выбираю точное значение 'Короб'
	И из выпадающего списка "Тип воспроизводства" я выбираю точное значение 'Покупка'
	И я нажимаю кнопку выбора у поля "Сырьевая статья затрат"
	Тогда открылось окно 'Сырьевые статьи затрат'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Упаковка'     |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Вид номенклатуры (создание) *'
	И Я заканчиваю создавать Вид Номенклатуры
	
Сценарий: 10_milk_scenario. Создание вида номенклатуры Полуфабрикаты
	И Я начинаю создавать Вид Номенклатуры 'Полуфабрикаты'
	И я устанавливаю флаг 'Серии:'
	И я нажимаю кнопку выбора у поля "Ед. хранения"
	Тогда открылось окно 'Выберите единицу измерения'
	И в таблице "Список" я перехожу к строке:
		| 'Международное сокращение' | 'Наименование' |
		| 'KGM'                      | 'кг'           |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Вид номенклатуры (создание) *'
	И я перехожу к закладке "Производство"
	И я устанавливаю флаг 'Участвует в балансе жира и белка'
	И из выпадающего списка "Сырьевая статья затрат" я выбираю точное значение 'Полуфабрикаты производимые в процессе'
	И Я заканчиваю создавать Вид Номенклатуры

Сценарий: 10_milk_scenario. Создание вида номенклатуры Материалы
	И я начинаю создавать Вид Номенклатуры 'Материалы '
	И я нажимаю кнопку выбора у поля "Ед. хранения"
	Тогда открылось окно 'Выберите единицу измерения'
	И в таблице "Список" я перехожу к строке:
		| 'Международное сокращение' | 'Наименование' |
		| 'KGM'                      | 'кг'           |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Вид номенклатуры (создание) *'
	И я перехожу к закладке "Производство"
	И из выпадающего списка "Тип воспроизводства" я выбираю точное значение 'Покупка'
	И я нажимаю кнопку выбора у поля "Сырьевая статья затрат"
	Тогда открылось окно 'Сырьевые статьи затрат'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Закваска'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Вид номенклатуры (создание) *'
	И Я заканчиваю создавать Вид Номенклатуры

Сценарий: 10_milk_scenario. Создание вида номенклатуры Материалы с сериями
	И я начинаю создавать Вид Номенклатуры "Материалы с сериями"
	И я устанавливаю флаг 'Серии:'
	И я нажимаю кнопку выбора у поля "Ед. хранения"
	Тогда открылось окно 'Выберите единицу измерения'
	И в таблице "Список" я перехожу к строке:
		| 'Международное сокращение' | 'Наименование' |
		| 'KGM'                      | 'кг'           |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Вид номенклатуры (создание) *'
	И я перехожу к закладке "Производство"
	И я нажимаю кнопку выбора у поля "Сырьевая статья затрат"
	Тогда открылось окно 'Сырьевые статьи затрат'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Закваска'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Вид номенклатуры (создание) *'
	И из выпадающего списка "Тип воспроизводства" я выбираю точное значение 'Покупка'
	И Я заканчиваю создавать Вид Номенклатуры

Сценарий: 10_milk_scenario. Создание вида номенклатуры Закваски, красители и пр.
	И Я начинаю создавать Вид Номенклатуры "Закваски, красители и пр."
	И я устанавливаю флаг "Серии:"
	И я нажимаю кнопку выбора у поля "Ед. хранения"
	Тогда открылось окно 'Выберите единицу измерения'
	И в таблице "Список" я перехожу к строке:
		|'Наименование'|
		|'кг'|
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно "Вид номенклатуры (создание) *"
	И я перехожу к закладке "Производство"
	И из выпадающего списка "Тип воспроизводства" я выбираю точное значение 'Покупка'
	И я нажимаю кнопку выбора у поля "Сырьевая статья затрат"
	Тогда открылось окно 'Сырьевые статьи затрат'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Закваска'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно "Вид номенклатуры (создание) *"
	И Я заканчиваю создавать Вид Номенклатуры
	И Я закрыл все окна клиентского приложения